Skip to main content
POST
/
v2
/
payments
/
bulk
/
approve
Bulk Approve Payments
curl --request POST \
  --url https://api.example.com/v2/payments/bulk/approve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transaction_ids": [
    "<string>"
  ]
}
'
{
  "results": [
    {
      "transaction_id": "<string>",
      "success": true,
      "error": "<string>",
      "validation_errors": [
        {
          "payment_id": "<string>",
          "error": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request schema for bulk approving payments by transaction ID.

transaction_ids
string[]
required

List of bank transaction IDs to approve payments for

Required array length: 1 - 100 elements

Response

Successful Response

Response schema for bulk payment approval.

results
TransactionApproveResult · object[]
required